Subject: [Enum] Idea of call rotung using ENUM-based softswitch

From: "Sungwoo Shin" <[email-masked]>
Date: Fri, 13 Oct 2006 09:38:26 +0900

Dear WG members

In conducting trial based on Infrastructure ENUM trial, my colleague and 
I have found some issue of call routing. 

This year, in Infra ENUM trial(pre-commercial stage) being led by National
Internet Developement Agency, 2 major korean VoIP service providers
join the project, the main idea is VoIP call interconnection through 
ENUM DNS lookup   

In the trial, for querying ENUM DNS and look-up, specific module for embedding 
to SoftSwitch was needed to be developed. 

There are not many VoIP service providers in the trial but two, ENUM DNS
has not much sufficient data for call-routing in trial basis 
This softswitch cannot make  proper call routing if it fails to find relevant 
data in the ENUM DNS. 
 
Therefore softswiitch module was developed- if this module can't find data  
from ENUM DNS then automatically it goes back to the "old way",like the way
of prefix-based call rouing. 

With this experience, my collegues and I try to write draft for best practice. 
This is very draft and we are expecting any comment and opinion
for reflecting on the draft before upcoming meeting, 

Thanks for reading

Regards 

Sungwoo Shin 
JoonHyung Lim
_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum